// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.

#import <Foundation/Foundation.h>

#import <SystemConfiguration/SystemConfiguration.h>
#import "CUDSSessionInfo.h"

/**
 * DynamicStore ConsoleUserの情報
 */
@interface CUDSConsoleUserInfo : NSObject {
@private
    NSNumber* _uid;         // アクティブなuid（nilの可能性もある）
    NSNumber* _gid;         // アクティブなgid（nilの可能性もある）
    NSString* _username;    // アクティブなユーザー名（nilの可能性もある）
    
    NSArray* _sessionInfos; // セッション情報のリスト
}
@property(readonly) NSNumber* uid;
@property(readonly) NSNumber* gid;
@property(readonly) NSString* username;

/**
 * 初期化
 */
- (id)initWithDynamicStore:(SCDynamicStoreRef)store;

/**
 * アクティブなセッション情報を取得
 */
- (CUDSSessionInfo*)activeSessionInfo;

/**
 * DynamicStoreからConsoleUserの情報にアクセする為の文字列を返す
 */
+ (NSString*)consoleUserKey;

@end

// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.
