// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.

#import <Foundation/Foundation.h>

/**
 * DynamicStore ConsoleUserから取得できるセッション情報(SessionInfo)
 */
@interface CUDSSessionInfo : NSObject {
@private
    NSNumber* _securitySessionID;   // セキュリティセッションID(kSCSecuritySessionID)
    NSNumber* _uid;                 // ユーザーID(kCGSSessionUserIDKey)
    NSNumber* _gid;                 // グループID(kCGSSessionGroupIDKey)
    NSString* _username;            // ユーザー名(kCGSSessionUserNameKey)
    NSString* _longUsername;        // ユーザー表示名(kCGSessionLongUserNameKey)

    NSNumber* _auditID;     // (kCGSSessionAuditIDKey)
    NSNumber* _sessionID;   // セッションID(kCGSSessionIDKey)

    NSNumber* _onConsole;   // コンソールログインかどうか(kCGSSessionOnConsoleKey)
    NSNumber* _isLogin;     // ログイン済みかどうか(kCGSessionLoginDoneKey)
    NSNumber* _isSafeLogin; // セーフログインかどうか(kCGSSessionLoginwindowSafeLogin)
    NSNumber* _isSafeBoot;  // セーフブートかどうか(kCGSSessionSystemSafeBoot)
}
@property(readonly) NSNumber* securitySessionID;
@property(readonly) NSNumber* uid;
@property(readonly) NSNumber* gid;
@property(readonly) NSString* username;
@property(readonly) NSString* longUsername;
@property(readonly) NSNumber* auditID;
@property(readonly) NSNumber* sessionID;
@property(readonly) NSNumber* onConsole;
@property(readonly) NSNumber* isLogin;
@property(readonly) NSNumber* isSafeLogin;
@property(readonly) NSNumber* isSafeBoot;

/**
 * 初期化
 */
- (id)initWithSessionInfoCFDictionary:(CFDictionaryRef)dict;

/**
 * Dictionaryからの初期化
 */
- (id)initWithDictionary:(NSDictionary*)dict;

/**
 * NSNotificationで送るためのDicitonaryへの変換
 */
- (NSDictionary*)dictionary;

@end

// Copyright (c) 2015年 Sky Co., LTD. All rights reserved.
