// Copyright (c) 2016年 Sky Co., LTD. All rights reserved.

#import <Foundation/Foundation.h>

/**
 * OSバージョン判定用クラス
 */
@interface CUOSVersion : NSObject {
    NSNumber* _major;   /// メジャーバージョン
    NSNumber* _minor;   /// マイナーバージョン
    NSNumber* _build;   /// ビルドバージョン
    NSString* _buildVersion;   /// ビルドバージョン(13F1911)
}

+ (CUOSVersion*)osVersion;
- (NSNumber*)major;
- (NSNumber*)minor;
- (NSNumber*)build;
- (NSString*)buildVersion;

/**
 * Mac OS X El Capitan(10.11)以降かどうか
 */
+ (BOOL)isElCapitanLater;

/**
 * macOS Sierra(10.12)以降かどうか
 */
+ (BOOL)isSierraLater;

/**
 * macOS Monterey(12.0)以降かどうか
 */
+ (BOOL)isMontereyOrLater;

/**
 * macOS Ventura(13.0)以降かどうか
 */
+ (BOOL)isVenturaOrLater;

/**
 * サポートOSかどうか
 */
+ (BOOL)isSupportedOS;

/*
 * 実行中のOSバージョンが、引数の指定よりも新しいかどうか(一致する場合はYES)
 */
+ (BOOL)isNewerThanMajorVersion:(int)majorVersion minorVersion:(int)minorVersion;

/*
 * 実行中のOSバージョンが、引数の指定よりも古いかどうか(一致する場合はYES)
 */
+ (BOOL)isOlderThanMajorVersion:(int)majorVersion minorVersion:(int)minorVersion;

@end

// Copyright (c) 2016年 Sky Co., LTD. All rights reserved.